#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x89,0x2C,0x26,0xE2,0xD0,0x1B,0x72,0x1D,0x74,0x8A,0xEC,0xB1,
		0xDE,0x04,0x2B,0xC0,0xE5,0xF9,0x1B,0x0B,0xC1,0x54,0xD8,0x25,
		0xE0,0xCD,0x82,0x89,0xBC,0x0F,0x3D,0xA3,0x09,0x97,0xFD,0xE1,
		0x55,0x27,0xB9,0x6D,0xEC,0x1A,0x9F,0xDC,0xE0,0x16,0xCC,0xD2,
		0x62,0xFE,0x74,0xC5,0x92,0x99,0xF8,0x60,0x6B,0x3A,0xBB,0x2C,
		0x16,0xD4,0x0D,0x73,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
